Name:		webserver-base
Version:	2.0
Release:	%mkrel 17
Summary:	Base files and user for a web server
License:	GPL
Group:		System/Servers
Source0:	index.html
Requires(pre):	rpm-helper
Conflicts:	apache-conf
Conflicts:	apache-base < 2.2.22-3
Conflicts:	lighttpd < 1.4.31-3
BuildArch:	noarch

%description
This packages provides base files and user for any web server.

%prep
%setup -c -T

%build

%install
install -D -m 644 %{_sourcedir}/index.html %{buildroot}%{_var}/www/html/index.html

%pre
%_pre_useradd apache /var/www /bin/sh

%postun
%_postun_userdel apache

%files
%dir %{_var}/www
%dir %{_var}/www/html
%config(noreplace) %{_var}/www/html/index.html


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0-17.mga10
+ Revision: 2206453
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.0-16.mga9
+ Revision: 1813000
- Mageia 9 Mass Rebuild

* Sat Aug 08 2020 luigiwalser <luigiwalser> 2.0-15.mga8
+ Revision: 1612013
- revert commit violating packaging policies

* Wed Apr 15 2020 joequant <joequant> 2.0-14.mga8
+ Revision: 1567529
- use shadow-utils to create users with has fewer dependencies

* Sat Feb 15 2020 umeabot <umeabot> 2.0-13.mga8
+ Revision: 1525253
- Mageia 8 Mass Rebuild

* Mon Apr 08 2019 luigiwalser <luigiwalser> 2.0-12.mga7
+ Revision: 1386728
- fix missing requries(pre) on rpm-helper (mga#24628)

* Wed Sep 19 2018 umeabot <umeabot> 2.0-11.mga7
+ Revision: 1277123
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 2.0-10.mga6
+ Revision: 971961
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 2.0-9.mga6
+ Revision: 893802
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2.0-8.mga5
+ Revision: 741934
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-7.mga5
+ Revision: 690290
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0-6.mga5
+ Revision: 523509
- Mageia 4 Mass Rebuild

* Wed May 15 2013 guillomovitch <guillomovitch> 2.0-5.mga3
+ Revision: 413307
- mark index.html as config, to avoid overriding it on upgrade

* Sat May 04 2013 anssi <anssi> 2.0-4.mga3
+ Revision: 412282
- add conflicts against old lighttpd for smooth upgrade

* Mon Jan 14 2013 umeabot <umeabot> 2.0-3.mga3
+ Revision: 385673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 02 2012 guillomovitch <guillomovitch> 2.0-2.mga2
+ Revision: 234556
- add conflicts to ease upgrade (should fix #5677)

* Thu Apr 26 2012 kamil <kamil> 2.0-1.mga2
+ Revision: 233295
- new version 2.0
  * use HTML5 syntax
  * fix all .HTML errors (thanks W3C Validator)

* Mon Mar 12 2012 guillomovitch <guillomovitch> 1.0-1.mga2
+ Revision: 222881
- imported package webserver-base


* Mon Mar 12 2012 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1.mga2
- first mageia package

